package no.valg.valgnatt.database.forberedvalg.csv;

import org.supercsv.cellprocessor.Optional;
import org.supercsv.cellprocessor.ParseInt;
import org.supercsv.cellprocessor.constraint.NotNull;

public class CsvHistorikkMandaterMod extends Csv {

    public CsvHistorikkMandaterMod() {
        super("historikk_mandater_mod.csv",
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new Optional(new ParseInt()),
                new Optional(new ParseInt()),
                new Optional(new ParseInt()),
                new Optional(new ParseInt()));
        String[] headers = new String[]{"valgtype", "valgdistriktnr", "partikode", "santall", "santall_utj", "nsantall", "nsantall_utj"};
        super.setHeader(headers);
    }

}
